Bug 520721 - Review Request: gprof2dot - Generate dot graphs from the output of several profilers
Summary: Review Request: gprof2dot - Generate dot graphs from the output of several pr...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Jason Tibbitts
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-09-01 23:49 UTC by Toshio Ernie Kuratomi
Modified: 2009-10-03 18:53 UTC (History)
2 users (show)

Fixed In Version: 1.0-0.2.20090901svn.fc11
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-10-03 18:53:25 UTC
tibbs: fedora-review+
dennis: fedora-cvs+


Attachments (Terms of Use)

Description Toshio Ernie Kuratomi 2009-09-01 23:49:07 UTC
Spec URL: http://toshio.fedorapeople.org/packages/gprof2dot.spec
SRPM URL: http://toshio.fedorapeople.org/packages/gprof2dot-1.0-0.1.20090901svn.fc11.src.rpm
Description:
This is a Python script to convert the output from prof, gprof, oprofile,
Shark, AQtime, and python profilers into a dot graph.  It has the following
features:

* can correctly parse C++ template function names
* allows to prune nodes and edges below a certain threshold
* uses an heuristic to propagate time inside mutually recursive functions
* uses color efficiently to draw attention to hot-spots

Comment 1 Jason Tibbitts 2009-09-10 05:06:08 UTC
Builds fine and rpmlint is silent.

Generally I'd recommend using svn export instead of svn checkout as the latter generates .svn directories which aren't useful  for a tarball release.  Not a huge deal, of course.

I'm not sure the test suite does much of anything.  I guess it shows that the program doesn't die, but without a set of expected data it has nothing to compare the generated output against.

Looks good to me.

* source files match upstream (compared manually after following checkout 
  instructions)
* package meets naming and versioning guidelines.
* specfile is properly named, is cleanly written and uses macros consistently.
* summary is OK.                                                              
* description is OK.                                                          
* dist tag is present.
* build root is OK.
* license field matches the actual license.
* license is open source-compatible.
* license text not included upstream.
* BuildRequires are proper.
* %clean is present.
* package builds in mock (rawhide, x86_64).
* package installs properly.
* rpmlint is silent.
* final provides and requires are sane:
   gprof2dot = 1.0-0.1.20090901svn.fc12
  =
   /usr/bin/env
   python

* %check is present and the test run at least doesn't crash.
* owns the directories it creates.
* doesn't own any directories it shouldn't.
* no duplicates in %files.
* file permissions are appropriate.
* no generically named files
* code, not content.

APPROVED

Comment 2 Toshio Ernie Kuratomi 2009-09-15 00:59:25 UTC
I will change svn checkout => svn export before build as well.

New Package CVS Request
=======================
Package Name: gprof2dot
Short Description: Generate dot graphs from the output of several profilers
Owners: toshio
Branches: F-10 F-11 EL-5
InitialCC:

Comment 3 Dennis Gilmore 2009-09-15 01:19:33 UTC
CVS Done

Comment 4 Fedora Update System 2009-09-16 01:18:13 UTC
gprof2dot-1.0-0.2.20090901svn.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/gprof2dot-1.0-0.2.20090901svn.fc11

Comment 5 Fedora Update System 2009-09-16 20:35:12 UTC
gprof2dot-1.0-0.2.20090901svn.fc11 has been pushed to the Fedora 11 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update gprof2dot'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F11/FEDORA-2009-9683

Comment 6 Fedora Update System 2009-10-03 18:53:19 UTC
gprof2dot-1.0-0.2.20090901svn.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.